Package net.shibboleth.idp.saml.xmlobject

# Interface Scope

All Superinterfaces:
  `XMLObject`, `XSString`

All Known Implementing Classes:
  `ScopeImpl`

public interface Scope extends XSString
XMLObject for the Shibboleth Scope metadata extension.

Note that this is at least nominally now standardized by virtue of being published in our old namespace in the SAML subject-id Attribute spec.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`REGEXP_ATTRIB_NAME`
regexp attribute name.

### Fields inherited from interface org.opensaml.core.xml.schema.XSString

`TYPE_LOCAL_NAME, TYPE_NAME`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`getRegexp()`
Get the regexp attribute value.
`XSBooleanValue`
`getRegexpXSBoolean()`
Get the regexp attribute value.
`void`
`setRegexp(Boolean newRegexp)`
Set the regexp attribute value.
`void`
`setRegexp(XSBooleanValue newRegexp)`
Set the regexp attribute value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### REGEXP_ATTRIB_NAME

@Nonnull @NotEmpty static final String REGEXP_ATTRIB_NAME
regexp attribute name.

See Also:
  - Constant Field Values

## Method Details

### getRegexp

@Nullable Boolean getRegexp()
Get the regexp attribute value.

Returns:
  the regexp attribute value

### getRegexpXSBoolean

@Nullable XSBooleanValue getRegexpXSBoolean()
Get the regexp attribute value.

Returns:
  the regexp attribute value

### setRegexp

void setRegexp(@Nullable Boolean newRegexp)
Set the regexp attribute value.

Parameters:
  `newRegexp` - the new regexp attribute value

### setRegexp

void setRegexp(@Nullable XSBooleanValue newRegexp)
Set the regexp attribute value.

Parameters:
  `newRegexp` - the new regexp attribute value